Skip to main content
PUT
Update upload grant

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

upload_path
string
required

Upload UUID or double-URL-encoded project-relative upload path or applicable folder prefix on which the grant is stored. Requires path administration.

Minimum string length: 1
user_id
string<uuid>
required

UUID of the user the grant is for.

Body

application/json
permission
enum<string>
default:read

Access to give: read (default), write or admin.

Available options:
read,
write,
admin

Response

Grant stored.

user_id
string
required

UUID of the user the grant is for.

permission
enum<string>
required

Access the grant gives: read, write or admin.

Available options:
read,
write,
admin
created_at
string
required

Creation time, RFC 3339.